/***** Graphics fonctions *****/

#ifndef GRAPHICS
#define GRAPHICS

#include "ColorLib.h"
#include <color.h>

#define VRAM_ADRESS 0xA8000000
#define NB_COULEURS 4294967296
#define RANDOM_COLOR rand()%NB_COULEURS
#define SCREEN_WIDTH 384
#define LCD_WIDTH_PX 384
#define LCD_HEIGHT_PX 216
#define RGB_COLOR(r,v,b) ((b%32) + ((v%64) << 6) + ((r%32) << 11)) // prend les couleurs rvb (compris en 0 et 31) renvoit le nombre en 16 bits (5-6-5) de la couleur demander
#define COLORATION(a) RGB_COLOR(a, 2*a, a)
/*** prototypes ***/
void CopySprite_Palette(const unsigned char* data, const unsigned short* palette, int x, int y, int width, int height);
void CopySpriteClippingMaskedAlpha(char* bitmap, short* palette, int x, int y, int width, int height, short mask, char alpha);
void CopySprite_Palette_Alpha(const unsigned char* data, const unsigned short* palette, int x, int y, int width, int height);
void Fade();
void Print_Int(int x, int y, unsigned int number, int size, int color);

#endif // GRAPHICS 

